Bug 112466 - Motif Window Manager (mwm) does not function properly in multiscreen mode
Summary: Motif Window Manager (mwm) does not function properly in multiscreen mode
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openmotif   
(Show other bugs)
Version: 3.0
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 132991 200919
TreeView+ depends on / blocked
 
Reported: 2003-12-20 06:46 UTC by Tony Rossomano
Modified: 2007-11-30 22:06 UTC (History)
2 users (show)

Fixed In Version: 2.2.3-5.RHEL3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-07 13:23:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of window on main screen (:0.0) (66.03 KB, image/jpeg)
2003-12-20 06:51 UTC, Tony Rossomano
no flags Details
Screenshot of window on second screen (:0.1) (40.65 KB, image/jpeg)
2003-12-20 06:53 UTC, Tony Rossomano
no flags Details

Description Tony Rossomano 2003-12-20 06:46:30 UTC
Description of problem:

This problem exists on both Enterprise Server 3.0 and Workstation 
3.0. As previously mentioned, we're having a problem with the Motif 
Window Manager (mwm) that is part of the openmotif-2.2.2-16 package. 
There are two known problems with mwm. First, with the multiscreen 
option enabled, the root menu only appears on the main screen 
when you right click on the root window. This should work on all 
screens. Second, the window decorations are only correct on the main 
screen. When a window (xterm, etc) is displayed on another screen 
(not the main screen), there are no decorations. The attached images 
show both a window on the main screen (correct) and a window on 
another screen (incorrect).   


Version-Release number of selected component (if applicable):

openmotif-2.2.2-16
How reproducible:

Every time.

Steps to Reproduce:
1. Create custom X session and use mwm as window manager.
   (execute mwm with the 'multiscreen' option)
2. Move mouse pointer over to the second screen (:0.1).
3. Right click on the root window.
4. Also, from the main screen, display an xterm onto the second 
screen (xterm -display :0.1 &)
  
Actual results:

When using a right click on the root window of the second screen 
(:0.1) nothing happens. When displaying an xterm onto the second 
screen, the window is missing some of it's decorations. (see 
attachments for example).

Expected results:

When using a right click on the root window of the second screen, the 
mwm root menu should appear (works on main screen :0.0). When 
displaying an xterm on the second screen, the window (and it's 
decorations) should have the same appearance as windows on the main 
screen.


Additional info:

Comment 1 Tony Rossomano 2003-12-20 06:51:33 UTC
Created attachment 96649 [details]
Screenshot of window on main screen (:0.0)

This image shows how a window looks on the main screen, when running mwm.

Comment 2 Tony Rossomano 2003-12-20 06:53:54 UTC
Created attachment 96650 [details]
Screenshot of window on second screen (:0.1)

This is an image of a window on the second screen (:0.1). The window appearance
should match that of a window on the main screen. (certain decorations are
absent)

Comment 4 Olivier Abad 2004-06-11 11:50:33 UTC
There are two bug reports on bugs.motifzone.net for this problem (bugs
1114 et 1200). The associated patches have not been included in
openmotif 2.2.3, but they do solve this problem.


Note You need to log in before you can comment on or make changes to this bug.